[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# inportw

Read word from I/O port

## Declaration

Source position: go32.pp line 152

`function inportw(`
`port: Word`
`):Word;`

## Description

Reads 1 word from the selected I/O port.

Parameters:

port
  the I/O port number which is read.

Return values: Current I/O port value.

## Errors

None.

## See also

outportw |  | Write word to I/O port
inportb |  | Read byte from I/O port
inportl |  | Read longint from I/O port

Documentation generated on: Feb 26 2014